Summary: CMU Simple Authentication and Security Layer
Summary(ko):    Layer ϴ CMU
Name: libsasl
Version: 1.5.27
Release: 3kr
Copyright: distributable
Group: System Environment/Libraries
Source: ftp://ftp.andrew.cmu.edu/pub/cyrus-mail/cyrus-sasl-%{version}.tar.gz
Source1: pwcheck_make.tgz
Patch: libsasl.pwcheck-automake.patch
BuildRoot: /var/tmp/%{name}-root
BuildPrereq: openssl-devel
Prereq: /sbin/ldconfig
Requires: %{name} = %{version}-%{release}
Conflicts: cyrus-sasl

Packager: JoungKyun Kim <http://www.oops.org>
Vendor: OOPS Development ORG

%description
The SASL API is an implementation of RFC 2222. It provides a way to add
authentication facilities to connection-based protocols. By adding an
authentication method to this library, you make that authentication method
available to all of the programs that use the library. Currently, Cyrus 1.6
and Sendmail 8.10 use SASL. * Due to the small size of this package, all of
the headers are included. There is no separate libsasl-devel. *

%description -l ko

SASL API RFC 2222 Ѵ. ̰  ̷ protocol 
  ߰ϴ  Ѵ.  library ̿  
߰μ  library ϴ  α׷  ϰ
ϴ  ϴ.

%package devel
Group: Development/Libraries
Summary: Files needed for developing applications with Cyrus SASL.
Summary(ko): Cyrus SASL  ̿Ͽ ø̼ Ҷ ʿ ϵ

%description devel
The %{name}-devel package contains files needed for developing and
compiling applications which use the Cyrus SASL library.

%description -l ko devel
%{name}-devel package  Cyrus SASL library  ̿Ͽ ø̼ 
 Ұų  Ҷ ʿ ϵ ϰ ִ.

%package doc
Group: Documentation
Summary: SASL document
Summary(ko): SASL  Ű

%description doc
SASL documents

%description -l ko doc
SASL  Ű

%define version %{PACKAGE_VERSION}

%define LIBDIR $RPM_BUILD_ROOT/usr/lib
%define PLUGINDIR $RPM_BUILD_ROOT/usr/lib/sasl
%define TARBALL_NAME cyrus-sasl-%{version}
%define TARBALL_DIR $RPM_BUILD_DIR/%TARBALL_NAME

%prep
%setup -n %TARBALL_NAME
%patch -p0

# added sasldblistusers.8 cause of compile error
echo "Don't yet supported" >\
      %TARBALL_DIR/utils/sasldblistusers.8

cd %TARBALL_DIR/pwcheck
tar xvfpz %{SOURCE1}
cd ../

%build
CFLAGS=$RPM_OPT_FLAGS \
MAKEFLAGS=$RPM_OPT_FLAGS \
./configure \
     --prefix=/usr \
     --sysconfdir=/etc \
     --mandir=%{_mandir} \
     --with-pwcheck \
     --with-des \
     --enable-digest \
     --enable-gssapi \
     --enable-login \
     --enable-plain

make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

mv -f $RPM_BUILD_ROOT/usr/sbin $RPM_BUILD_ROOT/usr/bin
install %TARBALL_DIR/utils/.libs/dbconverter-1.5.9 $RPM_BUILD_ROOT/usr/bin

cd $RPM_BUILD_DIR
install -m644 %SOURCE1 %TARBALL_DIR/README.RPM

%post -p /sbin/ldconfig

%preun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/pwcheck
/usr/bin/dbconverter-1.5.9
/usr/bin/saslpasswd
/usr/lib/sasl/*.so
/usr/lib/sasl/*.so.*

%files doc
%doc sample/*.c README ChangeLog AUTHORS COPYING
%doc doc/*.txt doc/*.html
%{_mandir}/man3/*
%{_mandir}/man8/*

%files devel
%defattr(-,root,root)
/usr/include/*.h
/usr/lib/sasl/*.la
/usr/lib/*.la
/usr/lib/*libsasl.so*

%changelog
* Wed Jul 31 2002 JoungKyun Kim <http://www.oops.org>
- update 1.5.27 3th pacakge
- added header file
- devided document package

* Thu Mar  7 2002 JoungKyun Kim <http://www.oops.org>
- rebuild on RH 7.2 with db-3.2

* Fri Nov 30 2001 JoungKyun Kim <http://www.oops.org>
- update 1.5.27 first package

* Thu Jun 14 2001 JoungKyun Kim <http://www.oops.org>
- moved file structure in RH 7.x
- devided core and devel package

* Wed Aug  9 2000 JoungKyun Kim <http://www.oops.org>
- execute ldconfig

* Wed Aug  9 2000 JoungKyun Kim <http://www.oops.org>
- added digest, des, gssapi algorithm

* Sun Aug  6 2000 JoungKyun Kim <http://www.oops.org>
- update version 1.5.24

* Wed Mar 31 2000 JoungKyun Kim <http://www.oops.org>
- added message "require openssl package"
- repackaging with openssl-0.9.5a

* Wed Mar 31 2000 JoungKyun Kim <http://www.oops.org>
- update version 1.5.18

* Wed Mar 31 2000 JoungKyun Kim <http://www.oops.org>
- packed syrus-sasl to libsasl package for sendmail auth
